import { Component } from './component';
import { NodeProject } from './node-project';
import { Task } from './tasks';
/**
 * @experimental
 */
export interface VersionOptions {
    /**
     * (experimental) The initial version of the repo.
     *
     * The first release will bump over this
     * version, so it will be v0.1.1 or v0.2.0 (depending on whether the first
     * bump is minor or patch).
     *
     * @default "v0.1.0"
     * @experimental
     */
    readonly initialVersion?: string;
}
/**
 * @experimental
 */
export declare class Version extends Component {
    /**
     * @experimental
     */
    readonly bumpTask: Task;
    /**
     * @experimental
     */
    readonly unbumpTask: Task;
    /**
     * @experimental
     */
    readonly changelogFile: string;
    /**
     * @experimental
     */
    constructor(project: NodeProject, options: VersionOptions);
}
